Subject: [ANCP] Partition ID

From: "Shridhar Rao (shrirao)" <[email-masked]>
Date: Fri, 19 Dec 2008 16:17:31 +0530

Hello,
We like to understand the real use for Partition ID in case of NAS. If
AN wants to use Partition ID for dividing itself into multiple logical
partitions with each controlling certain access ports on it, it can be
done by some local configuration on AN. Is there a real need for NAS to
be aware of it? 

If Partition ID field has no use in NAS, it can be reused instead as
first byte of a 4 byte Transaction Id field (Tr ID is now a 3 byte
quantity starting at a odd byte location), and NAS need not worry about
partition ID at all eliminating the need for exchange of adjacency
messages for convergence of Partition ID.

Thanks,
Shridhara rao
_______________________________________________
ANCP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ancp

---

From: "Wojciech Dec (wdec)" <[email-masked]>
Date: Wed, 31 Dec 2008 10:30:44 +0100

You raise a very good point. The partition "concept" is/was derived from
GSMP where presumably a single controller could be managing multiple
partitions on a single client. In the current set of ANCP use-cases this
does not seem to be required and the partition-id field may be yet
another field that could be marked as "obsolete" or simply ignored by
the NAS. Could anyone in the WG indicate whether they see a case where a
single NAS would be handling multiple partitioned ANCP sessions from a
single AN, and what would that case be?

Thanks,
Woj.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Shridhar Rao (shrirao)
> Sent: 19 December 2008 11:48
> To: [email-masked]
> Subject: [ANCP] Partition ID
> 
> Hello,
> We like to understand the real use for Partition ID in case 
> of NAS. If AN wants to use Partition ID for dividing itself 
> into multiple logical partitions with each controlling 
> certain access ports on it, it can be done by some local 
> configuration on AN. Is there a real need for NAS to be aware of it? 
> 
> If Partition ID field has no use in NAS, it can be reused 
> instead as first byte of a 4 byte Transaction Id field (Tr ID 
> is now a 3 byte quantity starting at a odd byte location), 
> and NAS need not worry about partition ID at all eliminating 
> the need for exchange of adjacency messages for convergence 
> of Partition ID.
> 
> Thanks,
> Shridhara rao